Package org.drinkless.tdlib

# Class TdApi.MessageVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageVideo

Enclosing class:
  TdApi

public static class TdApi.MessageVideo extends TdApi.MessageContent
A video message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.FormattedText`
  `caption`
  Video caption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasSpoiler`
  True, if the video preview must be covered by a spoiler animation.
  `boolean`
  `isSecret`
  True, if the video thumbnail must be blurred and the video must be shown only while tapped.
  `boolean`
  `showCaptionAboveMedia`
  True, if the caption must be shown above the video; otherwise, the caption must be shown below the video.
  `TdApi.Video`
  `video`
  The video description.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageVideo()`
  A video message.
  `MessageVideo(TdApi.Video video, TdApi.FormattedText caption, boolean showCaptionAboveMedia, boolean hasSpoiler, boolean isSecret)`
  A video message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### video

    public TdApi.Video video
    The video description.

  - ### caption

    public TdApi.FormattedText caption
    Video caption.

  - ### showCaptionAboveMedia

    public boolean showCaptionAboveMedia
    True, if the caption must be shown above the video; otherwise, the caption must be shown below the video.

  - ### hasSpoiler

    public boolean hasSpoiler
    True, if the video preview must be covered by a spoiler animation.

  - ### isSecret

    public boolean isSecret
    True, if the video thumbnail must be blurred and the video must be shown only while tapped.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageVideo

    public MessageVideo()
    A video message.

  - ### MessageVideo

    public MessageVideo(TdApi.Video video, TdApi.FormattedText caption, boolean showCaptionAboveMedia, boolean hasSpoiler, boolean isSecret)
    A video message.
    Parameters:
      `video` - The video description.
      `caption` - Video caption.
      `showCaptionAboveMedia` - True, if the caption must be shown above the video; otherwise, the caption must be shown below the video.
      `hasSpoiler` - True, if the video preview must be covered by a spoiler animation.
      `isSecret` - True, if the video thumbnail must be blurred and the video must be shown only while tapped.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR